#
# spec file for package hello
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           spdlog
Summary:        C++ header only logging library
License:        MIT
Group:          Development/Languages/C and C++
Version:        1.0.0~git807
Release:        1.1
BuildRequires:	cmake gcc-c++
Url:            https://github.com/gabime/spdlog/
# they have not formally tagged or released something, but CMakeLists.txt says 1.0.0, but include git hash
Source0:        spdlog-1.0.0.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%package devel
Summary:        C++ header only logging library
Group:          Development/Languages/C and C++

%description
Very fast, header only, C++ logging library.

* Very fast - performance is the primary goal.
* Headers only.
* No dependencies - just copy and use.
* Feature rich call style using the excellent library.
* ostream call style is supported too.
* Extremely fast asynchronous mode (optional) - using lockfree queues and other tricks to reach millions of calls/sec.
* Custom formatting.
* Multi/Single threaded loggers.
* Various log targets:
    * Rotating log files.
    * Daily log files.
    * Console logging.
    * Linux syslog.
    * Easily extendable with custom log targets  (just implement a single function in the [sink](include/spdlog/sinks/sink.h) interface).
* Severity based filtering - threshold levels can be modified in runtime as well as in compile time.

%description devel
Very fast, header only, C++ logging library.

* Very fast - performance is the primary goal.
* Headers only.
* No dependencies - just copy and use.
* Feature rich call style using the excellent library.
* ostream call style is supported too.
* Extremely fast asynchronous mode (optional) - using lockfree queues and other tricks to reach millions of calls/sec.
* Custom formatting.
* Multi/Single threaded loggers.
* Various log targets:
    * Rotating log files.
    * Daily log files.
    * Console logging.
    * Linux syslog.
    * Easily extendable with custom log targets  (just implement a single function in the [sink](include/spdlog/sinks/sink.h) interface).
* Severity based filtering - threshold levels can be modified in runtime as well as in compile time.

%prep
%setup -q -n %name-1.0.0

%build
%cmake
make

%install
%cmake_install

%files devel
%defattr(-, root, root)
%doc LICENSE README.md
/usr/include/*
%dir /usr/lib/cmake/spdlog
%dir /usr/lib/cmake
/usr/lib/cmake/spdlog/*.cmake

%changelog
* Mon Feb  1 2016 meissner@suse.com
- a c++ header only logging library
